package com.kingdee.eas.custom.esign;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.hr.base.EmpInfoSinglePage;
import com.kingdee.bos.util.*;
import com.kingdee.eas.hr.base.IEmpInfoSinglePage;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.custom.esign.app.*;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class FileTab extends EmpInfoSinglePage implements IFileTab
{
    public FileTab()
    {
        super();
        registerInterface(IFileTab.class, this);
    }
    public FileTab(Context ctx)
    {
        super(ctx);
        registerInterface(IFileTab.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("85C86048");
    }
    private FileTabController getController() throws BOSException
    {
        return (FileTabController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public FileTabCollection getFileTabCollection() throws BOSException
    {
        try {
            return getController().getFileTabCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public FileTabCollection getFileTabCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getFileTabCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public FileTabCollection getFileTabCollection(String oql) throws BOSException
    {
        try {
            return getController().getFileTabCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public FileTabInfo getFileTabInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getFileTabInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public FileTabInfo getFileTabInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getFileTabInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public FileTabInfo getFileTabInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getFileTabInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}